> ## Documentation Index
> Fetch the complete documentation index at: https://docs.omneo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Read Achievement Definition

> A `GET` to the `/achievements/definitions/{definitionId}` endpoint allows your application to retrieve achievement definition.



## OpenAPI

````yaml get /v3/achievements/definitions/{definition}
openapi: 3.1.0
info:
  title: Omneo
  version: 0.0.1
servers:
  - url: https://api.{tenant}.getomneo.com/api
    variables:
      tenant:
        default: example
security: []
paths:
  /v3/achievements/definitions/{definition}:
    get:
      tags:
        - Achievement Definition
      summary: Read Achievement Definition
      description: >-
        A `GET` to the `/achievements/definitions/{definitionId}` endpoint
        allows your application to retrieve achievement definition.
      operationId: achievements.definitions.show
      parameters:
        - name: definition
          in: path
          required: true
          description: The definition ID
          schema:
            type: integer
      responses:
        '200':
          description: '`AchievementDefinition`'
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/AchievementDefinition'
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  schemas:
    AchievementDefinition:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        handle:
          type: string
        region_id:
          type:
            - integer
            - 'null'
        region:
          type:
            - object
            - 'null'
          properties:
            id:
              type: integer
            name:
              type: string
            handle:
              type: string
          required:
            - id
            - name
            - handle
        currency:
          type:
            - string
            - 'null'
        description:
          type:
            - string
            - 'null'
        internal_notes:
          type:
            - string
            - 'null'
        type:
          type:
            - string
            - 'null'
        starts_at:
          type:
            - string
            - 'null'
          format: date-time
        ends_at:
          type:
            - string
            - 'null'
          format: date-time
        is_published:
          type: boolean
        display_level:
          type: boolean
        display_option:
          type: string
        short_description:
          type:
            - string
            - 'null'
        long_description:
          type:
            - string
            - 'null'
        terms_conditions:
          type:
            - string
            - 'null'
        earn_instructions:
          type:
            - string
            - 'null'
        icon:
          type:
            - string
            - 'null'
        image_url:
          type:
            - string
            - 'null'
        levels:
          type: array
          items:
            $ref: '#/components/schemas/AchievementLevel'
        tags:
          type: array
          items:
            $ref: '#/components/schemas/Tag'
        meta:
          type:
            - array
            - 'null'
          items: {}
        timezone:
          type:
            - string
            - 'null'
        period:
          type:
            - string
            - 'null'
        created_at:
          type: string
        updated_at:
          type: string
        enable_annual_earn_cycle:
          type: boolean
      required:
        - id
        - name
        - handle
        - region_id
        - region
        - currency
        - description
        - internal_notes
        - type
        - starts_at
        - ends_at
        - is_published
        - display_level
        - display_option
        - short_description
        - long_description
        - terms_conditions
        - earn_instructions
        - icon
        - image_url
        - levels
        - tags
        - meta
        - timezone
        - period
        - created_at
        - updated_at
        - enable_annual_earn_cycle
      title: AchievementDefinition
    AchievementLevel:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        achievement_definition_id:
          type: integer
        display_number:
          type: integer
        description:
          type:
            - string
            - 'null'
        trigger:
          type: integer
        repeats:
          type: boolean
        repeat_interval:
          type:
            - integer
            - 'null'
        allow_multiple_earn:
          type:
            - boolean
            - 'null'
        computed_display_number:
          type: string
        computed_trigger:
          type: string
        meta:
          type:
            - array
            - 'null'
          items: {}
      required:
        - id
        - name
        - achievement_definition_id
        - display_number
        - description
        - trigger
        - repeats
        - repeat_interval
        - allow_multiple_earn
        - computed_display_number
        - computed_trigger
        - meta
      title: AchievementLevel
    Tag:
      type: string
      title: Tag
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message

````